skip to navigation
skip to content

aldryn-reversion 1.1.0

Support for django-reversion on models with translatable fields and django-cms placeholder fields.

Description

A collection of shared helpers and mixins to provide support for django-reversion on models with translatable (using django-parler) fields and/or django-cms placeholder fields.

Note:

django-parler is optional and is not required. However, if your model is
translated with Parler, aldryn-reversion will take translations and the
resulting internal Parler translation cache into consideration when making
revisions.

Usage

Please refer to documentation.

Requirements

  • Python 2.6, 2.7, 3.4
  • Django 1.6 - 1.9
  • django-reversion

Optional

  • django CMS 3.0.12 or later
  • django-parler

Installation

Most likely you won’t need to install this addon - it will be installed as a dependency for some other addon. If you do need to install it manually, follow these steps:

  1. Run pip install aldryn-reversion.

  2. Add below apps to INSTALLED_APPS:

    INSTALLED_APPS = [
        …
        'reversion',
        'aldryn_reversion',
        …
    ]
    
  3. (Re-)Start your application server.

More detailed installation guidance is also available.

 
File Type Py Version Uploaded on Size
aldryn-reversion-1.1.0.tar.gz (md5) Source 2017-02-28 25KB
aldryn_reversion-1.1.0-py2-none-any.whl (md5) Python Wheel 2.7 2017-02-28 32KB